<head>
    <script src="class.js"></script>
    <script>
        FOO = $class({
            get_foobar : function() {
                return "bar" + this.get_foo();
            }
        });
        Widget = $class({
            initialize : function() {
                this.flupp = "foo";
            },
            get_foo : function() {
                return "foo";
            }
        });
        Button = $class({
            Implements : FOO,
            Extends : Widget,
            initialize : function() {
                this.foo = "bar";
                Widget.call(this);
            },
            get_foo : function() {
                return this.foo + Widget.prototype.get_foo.call(this);
            }
        });
    </script>
</head>

<body>
</body>
